﻿using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.BindingModels
{
    //реализация сущности "Продукт"
    public class ProductBindingModel : IProductModel
    {
        public int Id { get; set; }

        public string ProductName { get; set; } = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> ProductComponents { get; set; } = new();
    }
}
