﻿using BlacksmithWorkshopContracts.BindingModels;
using BlacksmithWorkshopContracts.SearchModels;
using BlacksmithWorkshopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.BusinessLogicsContracts
{
    //бизнес-логика для продуктов
    public interface IProductLogic
    {
        List<ProductViewModel>? ReadList(ProductSearchModel? model);

        ProductViewModel? ReadProduct(ProductSearchModel model);

        bool Create(ProductBindingModel model);

        bool Update(ProductBindingModel model);

        bool Delete(ProductBindingModel model);
    }
}
